Skip to main content
GET
Get customer

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Customer ID

Response

OK

id
string
required

Unique ID

Example:

"e309e948-088e-4d77-b654-cd85498f1555"

createdAt
string
required

Time at which the customer was initially created, in ISO 8601 format

Example:

"2021-01-02T10:55:00Z"

organizations
object[]
required

Organizations that this customer is a member of

Example:

Legal name

Example:

"Fintech Payment Processing"

address
object
required

Address

Example:
integrationIds
object[]
required

External services which are linked to this customer

Example:
taxStatus
enum<string>
required

Tax status applicable to customer. Can be one of TAXED, TAX_EXEMPT or REVERSE_CHARGED. The default is TAXED.

Available options:
TAXED,
TAX_EXEMPT,
REVERSE_CHARGED
Example:

"TAXED"

contacts
object[]
required

Contacts for this customer

Example:
status
enum<string>
required

Customer status:

  • DRAFT means the customer has been extracted from a contract and has not yet been approved. It cannot be used while it is in DRAFT.
  • ACTIVE is the default state when a customer is created via API or dashboard.
Available options:
DRAFT,
ACTIVE
Example:

"ACTIVE"

customProperties
object
required

Custom key-value properties for this customer

Example:
url
string

URL

Example:

"https://example.com/"

domain
string

Customer's primary domain name

Example:

"example.com"

label
string

Label

Example:

"Example customer"

archivedAt
string

Time at which the customer was archived, in ISO 8601 format

Example:

"2025-08-28T12:00:00Z"